[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TDeflater.CompressionLevel

Indicates the compression level applied in the Compress method

## Declaration

Source position: zipper.pp line 339

`public property TDeflater.CompressionLevel : Tcompressionlevel read FCompressionLevel write FCompressionLevel;`

## Description

CompressionLevel is a TCompressionLevel property which Indicates the compression level applied in the Compress method. Values include:

clNone
  Do not use compression, just copy data.
clFastest
  Use the fast (but less) compression.
clDefault
  Use the default compression. dd
clMax
  Use the maximum compression.

## See also

TDeflater.Compress |  | Performs compression using the Deflate algorithm
TCompressionLevel |  | Compression level for the deflate algorithm